package com.yeejoin.amos.boot.module.jxiop.api.dto;

import com.yeejoin.amos.boot.biz.common.dto.BaseDto;
import com.yeejoin.warning.feign.model.BaseCondition;

import java.util.List;
import java.util.Objects;

public class RectificationUnitClassifyTreeDto extends BaseDto {

    private String name;

    private String code;

    private String parentId;

    private Integer sort;

    private String nodeType;

    List<BaseCondition> conditions;

    private List<com.yeejoin.amos.boot.module.jxiop.api.dto.RectificationUnitClassifyTreeDto> children;

    public void setName(String name) {
        this.name = name;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public void setConditions(List<BaseCondition> conditions) {
        this.conditions = conditions;
    }

    public void setChildren(List<com.yeejoin.amos.boot.module.jxiop.api.dto.RectificationUnitClassifyTreeDto> children) {
        this.children = children;
    }

    public String toString() {
        return "RectificationUnitClassifyTreeDto(name=" + getName() + ", code=" + getCode() + ", parentId=" + getParentId() + ", sort=" + getSort() + ", nodeType=" + getNodeType() + ", conditions=" + getConditions() + ", children=" + getChildren() + ")";
    }

    public String getName() {
        return this.name;
    }

    public String getCode() {
        return this.code;
    }

    public String getParentId() {
        return this.parentId;
    }

    public Integer getSort() {
        return this.sort;
    }

    public String getNodeType() {
        return this.nodeType;
    }

    public List<BaseCondition> getConditions() {
        return this.conditions;
    }

    public List<com.yeejoin.amos.boot.module.jxiop.api.dto.RectificationUnitClassifyTreeDto> getChildren() {
        return this.children;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        RectificationUnitClassifyTreeDto r = (RectificationUnitClassifyTreeDto) o;
        return Objects.equals(code, r.code);
    }

}
